psfs2cpi(1)

NAME
psfs2cpi - Construct a .CPI codepage from one or more PSF files

SYNOPSIS
psfs2cpi [--device=DEV] [--comment=TEXT] [--drfont] [--nt] [ +CODEPAGE | +CODEPAGE=CPNAME ] INPUTFILE [INPUTFILE ...] [+CODEPAGE INPUTFILE [INPUTFILE ...]] OUTPUTFILE

DESCRIPTION

psfs2cpi combines one or more PSF files into a CPI file.

When run, it takes a list of codepage numbers. Each number should then be followed by the names of one or more PSF files, from which the character shapes should be obtained. For example, the command:

psfs2cpi +437 eg8.psf eg16.psf +850 eg8.psf eg16.psf +860 eg8.psf eg16.psf +863 eh8.psf eh16.psf eg.cpi

will generate a CPI file called eg.cpi, containing codepages 437, 850, 860 and 863 in two sizes. The first three codepages will have been based on eg8.psf and eg16.psf; the last on eh8.psf and eh16.psf.

A codepage number can be followed by a directive saying which mapping table will actually be used. For example, if the start of the above command had read:

psfs2cpi +437=PPC437 ...

then codepage 437 would have been generated using the slightly different PPC437 mapping.

If the PSF files in question have Unicode directories, and the codepage is one of the ones known to psfs2cpi, then the appropriate glyphs will be extracted from the file; this is how three code pages can be based on a single PSF file. If the codepage number is not known, or the PSF file has no Unicode directory, then the first 256 characters of the PSF file will be used.

OPTIONS

--device=devname
    Sets the device name to store in the codepage file. This defaults to "EGA"; if you are generating a codepage file for the IBM Convertible, it should be set to "LCD".

--comment=comment
    Sets a comment which will be added to the end of the CPI file, such as a copyright message.

--drfont
    Outputs in the compressed format used by DRDOS.

--nt
    Outputs in the FONT.NT format used by Windows NT.

SEE ALSO
cpi2psf(1), cpicomp(1), cpidcomp(1)

AUTHOR
John Elliott <seasip.webmaster@gmail.com>.